#include <iostream>
#include <stdio.h>
#include <stdlib.h>
#include <algorithm>
#include <cmath>
#include <string>
#include <bits/stdc++.h>
#include <strstream>
#include <queue>

#define USE_MATH_DEFINES

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n, k, x, i, l;
    cin>>n>>k>>x;
    int*a=new int [n];
        for (i=1; i<=k; i++) {
            cout<<i<<" ";

        }
        a[n]=k+x;
        for (i=k+1; i<n; i++) {
            cout<<x<<" ";

        }
        cout<<a[n];
    delete []a;
    return 0;
}